
def generate_random_sequence(data, length, batch_size):
    import numpy as np
    from keras.preprocessing.sequence import pad_sequences

    # Generate a random sequence of integers
    random_sequence = np.random.randint(0, max(data), size=length)

    # Pad the sequence to ensure all sequences in the batch are of the same length
    padded_sequence = pad_sequences([random_sequence], maxlen=length, padding='post', truncating='post', dtype='int32')

    return padded_sequence



